MidiDevice.Info (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.sound.midi, interface: MidiDevice, class: Info
Keywords: javax.sound.midi.MidiDevice.Info class

# Class MidiDevice.Info

java.lang.Object
javax.sound.midi.MidiDevice.Info

Enclosing interface:
  `MidiDevice`

public static class MidiDevice.Info extends Object
A `MidiDevice.Info` object contains assorted data about a `MidiDevice`, including its name, the company who created it, and descriptive text.

See Also:
  - `MidiDevice.getDeviceInfo()`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Info(String name, String vendor, String description, String version)`
  Constructs a device info object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Indicates whether the specified object is equal to this info object, returning `true` if the objects are the same.
  `final String`
  `getDescription()`
  Obtains the description of the device.
  `final String`
  `getName()`
  Obtains the name of the device.
  `final String`
  `getVendor()`
  Obtains the name of the company who supplies the device.
  `final String`
  `getVersion()`
  Obtains the version of the device.
  `final int`
  `hashCode()`
  Returns a hash code value for this info object.
  `final String`
  `toString()`
  Returns a string representation of the info object.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Info

    protected Info(String name, String vendor, String description, String version)
    Constructs a device info object.
    Parameters:
      `name` - the name of the device
      `vendor` - the name of the company who provides the device
      `description` - a description of the device
      `version` - version information for the device

- ## Method Details

  - ### equals

    public final boolean equals(Object obj)
    Indicates whether the specified object is equal to this info object, returning `true` if the objects are the same.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare
    Returns:
      `true` if the specified object is equal to this info object; `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this info object.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this info object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### getName

    public final String getName()
    Obtains the name of the device.
    Returns:
      a string containing the device's name

  - ### getVendor

    public final String getVendor()
    Obtains the name of the company who supplies the device.
    Returns:
      device the vendor's name

  - ### getDescription

    public final String getDescription()
    Obtains the description of the device.
    Returns:
      a description of the device

  - ### getVersion

    public final String getVersion()
    Obtains the version of the device.
    Returns:
      textual version information for the device

  - ### toString

    public final String toString()
    Returns a string representation of the info object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the info object